/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type AddTokenV1Params = {
    escrowConfigPubkey: PublicKey;
    tradeConfigAuthority: PublicKey;
    tokenMint: PublicKey;
    tokenInfoPubkey: PublicKey;
    tokenInfoBump: number;
    quota30Days: BN[];
    quota24Hours: BN[];
    renecOraclePubkey: PublicKey;
};
export declare function addTokenV1(program: Program<Escrow>, params: AddTokenV1Params): Promise<Instruction>;
