/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
import { PDAInfo } from "../pda";
export type InitializeMarketParams = {
    marketId: string;
    configAccount: PublicKey;
    tokenMint: PublicKey;
    marketAccountPDA: PDAInfo;
    marketTokenVaultPDA: PDAInfo;
    marketNativeVaultPDA: PDAInfo;
    tradeConfigAuthority: PublicKey;
    amlPolicyAuthority: PublicKey;
    treasuryPubkey: PublicKey;
    deployer: PublicKey;
    bondSize: BN;
    arbitratorCommission: BN;
    treasuryShare: BN;
    paymentDuration: BN;
    cancelPenaltyRate: BN;
};
export declare function initializeMarket(program: Program<Escrow>, params: InitializeMarketParams): Promise<Instruction>;
