"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeOfferV1 = void 0;
const web3_js_1 = require("@solana/web3.js");
const spl_token_1 = require("@solana/spl-token");
function makeOfferV1(program, params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { escrowConfig, configRentVault, side, bondType, tokenMint, tokenInfo, user, minTradeSize, tokenAmount, fiatAmount, offerPDA, userTokenAccount, offerTokenVaultPDA, offerNativeVaultPDA, oraclePrice, oracleProduct, remainingAccounts, encryptedBankName, encryptedAccountNumber, encryptedAccountName, nonce, } = params;
        const ix = yield program.methods
            .makeOfferV1(side, bondType, minTradeSize, tokenAmount, fiatAmount, offerPDA.bump, offerTokenVaultPDA.bump, offerNativeVaultPDA.bump, encryptedBankName, encryptedAccountNumber, encryptedAccountName, nonce)
            .accounts({
            escrowConfig,
            configRentVault,
            user: user,
            offer: offerPDA.key,
            tokenMint,
            tokenInfo,
            userTokenAccount: userTokenAccount,
            tokenVault: offerTokenVaultPDA.key,
            nativeVault: offerNativeVaultPDA.key,
            oraclePrice,
            oracleProduct,
            tokenProgram: spl_token_1.TOKEN_PROGRAM_ID,
            systemProgram: web3_js_1.SystemProgram.programId,
            rent: web3_js_1.SYSVAR_RENT_PUBKEY,
        })
            .remainingAccounts(remainingAccounts)
            .instruction();
        return {
            instructions: [ix],
            cleanupInstructions: [],
            signers: [],
        };
    });
}
exports.makeOfferV1 = makeOfferV1;
