/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey, AccountMeta } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type MatchingEngineParams = {
    configAccount: PublicKey;
    marketAccount: PublicKey;
    marketTokenVault: PublicKey;
    marketNativeVault: PublicKey;
    kycCert: PublicKey;
    user: PublicKey;
    userTokenAccount: PublicKey;
    useBondless: boolean;
    remainingAccounts: AccountMeta[];
    offerQuantity: number;
    totalTradeAmount: BN;
    tradeIds: BN[];
    bumps: number[];
};
export declare function matchingEngine(program: Program<Escrow>, params: MatchingEngineParams): Promise<Instruction>;
