"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateConfig = void 0;
function updateConfig(program, params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { escrowConfigPubkey, tradeConfigAuthority, treasuryPubkey, bondSize, arbitratorCommission, treasuryShare, paymentDuration, cancelPenaltyRate, limitActiveBondlessTrade } = params;
        const ix = yield program.methods
            .updateConfig(treasuryPubkey, bondSize, arbitratorCommission, treasuryShare, paymentDuration, cancelPenaltyRate, limitActiveBondlessTrade)
            .accounts({
            escrowConfig: escrowConfigPubkey,
            tradeConfigAuthority,
        })
            .instruction();
        return {
            instructions: [ix],
            cleanupInstructions: [],
            signers: [],
        };
    });
}
exports.updateConfig = updateConfig;
