/// <reference types="bn.js" />
import { EscrowFetcher } from "../fetcher";
import { BN } from "@project-serum/anchor";
import { PublicKey } from "@solana/web3.js";
import { TransactionBuilder } from "@orca-so/common-sdk";
import { EscrowContext, PDA } from "../";
import { OfferDataInfo } from "../types";
export declare class MatchingEngine {
    ctx: EscrowContext;
    escrowFetcher: EscrowFetcher;
    pda: PDA;
    configId: string;
    constructor(ctx: EscrowContext, configId: string);
    getRandomOffer(fetcher: EscrowFetcher, side: object, tokenAmount: BN, bondType: object): Promise<OfferDataInfo | null>;
    matchingTrade(user: PublicKey, tokenAmount: BN, side: object, bondType: object, useBondless: boolean): Promise<{
        tx: TransactionBuilder;
        id: BN;
        offerPubkey: PublicKey;
    }>;
}
