/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey, AccountMeta } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../../artifacts/escrow";
export type PocMatchingParams = {
    market: PublicKey;
    marketTokenVault: PublicKey;
    marketNativeVault: PublicKey;
    configRentVault: PublicKey;
    user: PublicKey;
    userTokenAccount: PublicKey;
    numOffers: number;
    totalTradeAmount: BN;
    tradeIds: BN[];
    bumps: number[];
    remainingAccounts: AccountMeta[];
};
export declare function pocMatching(program: Program<Escrow>, params: PocMatchingParams): Promise<Instruction>;
